##### Upload the data for X and Y

X=c(8,10,13,22,20)

Y=c(13.2,11.7,10,9,7.1)

# Put the data in a table with cbind

data.frame(X,Y)

data=data.frame(X,Y)

length(X)
length(Y)

n=length(X)
n

####### Plot

plot(X,Y)

#beautify the graph

plot(X,Y,pch=1, col="blue",xlim=c(1,30),ylim=c(0,15))

###### statistics

#mean
X_bar=mean(X)
X_bar
Y_bar=mean(Y)
Y_bar

#variance and covariance
var_X=var(X)
var_X

var_Y=var(Y)
var_Y

cov_XY=var(X,Y)
cov_XY

#standard deviation
sd(X)
sd(Y)

sqrt(var_X)
sqrt(var_Y)

#deviance
dev_X=var(X)*(n-1)
dev_X

dev_Y=var(Y)*(n-1)
dev_Y

codev_XY=var(X,Y)*(n-1)
codev_XY

####### regression with lm

reg_1 = lm(Y ~ X)
summary(reg_1)

abline(reg_1,col="red")

####### regression "with calculation"

## beta_1

beta_1=cov_XY/var_X
beta_1

## beta_0
beta_0=Y_bar-beta_1*X_bar
beta_0

####### R2

summary(reg_1)

fitted(reg_1)
residuals(reg_1)

Y_hat = fitted(reg_1)
u= residuals(reg_1)

data=data.frame(X,Y,Y_hat,u)

data

round(sum(data$u),4)

# R^2=ESS/TSS=1-RSS/TSS

TSS=sum(((Y - Y_bar))^2 )
TSS
ESS=sum((Y_hat - Y_bar)^2)
ESS
RSS=sum(u^2)
RSS

TSS
ESS+RSS

#R squared
ESS/TSS

1-RSS/TSS

####### SER 

SER=sqrt(sum(u^2)/(n-2))
SER
